(function() {
  var CoffeeScript, Nomtml, addFunction, vm;
  var __slice = Array.prototype.slice;
  vm = require('vm');
  CoffeeScript = require('coffee-script');
  Nomtml = require('nomplate/nomtml').Nomtml;
  addFunction = function(key, recipient, source) {
    if (key === 'constructor' || key === 'pretty') {
      return;
    }
    if (recipient[key] === void 0) {
      return recipient[key] = function() {
        var args;
        args = 1 <= arguments.length ? __slice.call(arguments, 0) : [];
        return source[key].apply(source, args);
      };
    } else {
      return console.log("view option '" + key + "' is blocking application of Nomtml attribute of same name");
    }
  };
  exports.compile = function(source, options) {
    var compiled_js, context, key, sandbox, value;
    options || (options = {});
    sandbox = {};
    context = options.nomplate || new Nomtml();
    sandbox.rendered_view = options.body;
    delete options.body;
    for (key in options) {
      value = options[key];
      sandbox[key] = value;
    }
    for (key in context) {
      addFunction(key, sandbox, context);
    }
    if (options.pretty !== void 0) {
      context.pretty = options.pretty;
    }
    compiled_js = CoffeeScript.compile(source, context);
    vm.runInNewContext(compiled_js, sandbox);
    return function() {
      return context.output;
    };
  };
}).call(this);
