(function() {
  var Compiler, Nomtml, assert, compile, passed, passedMessage, testCompilePretty, testCompileUgly, testCompileWithCustomNomplateEntity, testCompileWithOptions, util;
  var __hasProp = Object.prototype.hasOwnProperty, __extends = function(child, parent) {
    for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; }
    function ctor() { this.constructor = child; }
    ctor.prototype = parent.prototype;
    child.prototype = new ctor;
    child.__super__ = parent.prototype;
    return child;
  };
  util = require('util');
  assert = require('assert');
  Compiler = require('nomplate/express');
  Nomtml = require('nomplate/nomtml').Nomtml;
  passedMessage = '';
  passed = function() {
    return passedMessage += '.';
  };
  compile = function(source, options) {
    var handler;
    handler = Compiler.compile(source, options);
    return handler.call();
  };
  (testCompileUgly = function() {
    var result;
    result = compile("html()", {
      pretty: false
    });
    assert.equal('<html></html>', result);
    return passed();
  })();
  (testCompilePretty = function() {
    var result;
    result = compile("div()");
    assert.equal('<div></div>\n', result);
    return passed();
  })();
  (testCompileWithOptions = function() {
    var result;
    result = compile("span(foo)", {
      foo: 'hello'
    });
    assert.equal('<span>hello</span>\n', result);
    return passed();
  })();
  (testCompileWithCustomNomplateEntity = function() {
    var Custom, result;
    Custom = (function() {
      function Custom() {
        Custom.__super__.constructor.apply(this, arguments);
      }
      __extends(Custom, Nomtml);
      Custom.prototype.foo = function(str) {
        return this.node('foo', str);
      };
      return Custom;
    })();
    result = compile("foo(bar)", {
      bar: 'world',
      nomplate: new Custom()
    });
    assert.equal('<foo>world</foo>\n', result);
    return passed();
  })();
  util.log('express-test: ' + passedMessage);
}).call(this);
